Create Sandbox Snapshot
Create a new sandbox snapshot for the indicated sandbox Vault.
POST
/api/{version}/objects/sandbox/snapshotHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Content-Type | application/x-www-form-urlencoded |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
source_sandboxrequired | The name of the sandbox Vault to take a snapshot of. |
namerequired | The name of the new snapshot. |
descriptionoptional | The description of the new snapshot. |
include_dataoptional | Set to true to include data as part of the snapshot. Set to false to include only configuration. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "source_sandbox=Sandbox1" \
-d "name=Snapshot1" \
-d "description=First snapshot of a sandbox." \
-d "include_data=false" \
https://myvault.veevavault.com/api/v23.1/objects/sandbox/snapshotResponse
Section link for Response{
"responseStatus": "SUCCESS",
"job_id": 165944,
"url": "/api/v23.1/services/jobs/165944"
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information: